/* ------------------------------------------------------------------ 

	Title: Bitmap2Rsrc

	Description:  Add bitmaps from files to a resource file.

	Author :
		Stephen Wardlaw, M.D.
		Medical R&D
		Highrock
		Lyme, CT 06371

	Edit History:	
		05 September, 1999
			Created
------------------------------------------------------------------ */ 
#include "Bitmap2Rsrc.h"

const char app_sig[32]	= "application/x-vnd.Bitmap2Rsrc";

// -------------------------------------------------------------------
//	* Main Program
// -------------------------------------------------------------------
int
main()
{
	Bitmap2Rsrc theApp(app_sig);
	theApp.Run();
	return 0;
}
// -------------------------------------------------------------------
//	* CONSTRUCTOR
// -------------------------------------------------------------------
Bitmap2Rsrc::Bitmap2Rsrc(const char* appSig):BApplication(appSig)
{
	BRect frame(50,50,350,250);
	mWindow = new BRWindow(frame);
	mWindow->Show();
}
		
Bitmap2Rsrc::~Bitmap2Rsrc()
{
}
		
// -------------------------------------------------------------------
//	* Public Methods
// -------------------------------------------------------------------
void
Bitmap2Rsrc::MessageReceived(BMessage* theMesg)
{
	switch (theMesg->what) {
		
		case add_bmp :
			mWindow->MessageReceived(theMesg);
			break;
			
		default :
			BApplication::MessageReceived(theMesg);
		}
}
// -------------------------------------------------------------------
void
Bitmap2Rsrc::RefsReceived(BMessage* theMesg)
{
}
// -------------------------------------------------------------------
